Docs
Parse

Parse a PDF, Word document, or spreadsheet

POST/parse
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

timeout?number
Range1000 <= value <= 120000
Default30000
url*string

Public PDF, Word document, or spreadsheet URL

Response Body

application/json

curl -X POST "https://example.com/parse" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/report.pdf"  }'
{  "credits": {    "used": 0  },  "data": {},  "error": "string",  "metadata": {    "authorName": "string",    "authorUrl": "http://example.com",    "contentType": "string",    "durationSeconds": 0,    "durationText": "string",    "language": "string",    "source": "string",    "statusCode": 0,    "thumbnailUrl": "http://example.com",    "timestamp": "2019-08-24T14:15:22Z",    "title": "string",    "url": "http://example.com",    "videoId": "string"  },  "success": true}
Empty
Empty
Empty